Name:           python-flytekitplugins-data-fsspec
Version:        1.15.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This is a deprecated plugin as of flytekit 1.5

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/flyteorg/flytekit/tree/master/plugins/flytekit-data-fsspec
Source:         %{pypi_source flytekitplugins_data_fsspec}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'flytekitplugins-data-fsspec' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-flytekitplugins-data-fsspec
Summary:        %{summary}

%description -n python3-flytekitplugins-data-fsspec %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-flytekitplugins-data-fsspec abfs,aws,gcp


%prep
%autosetup -p1 -n flytekitplugins_data_fsspec-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x abfs,aws,gcp


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-flytekitplugins-data-fsspec -f %{pyproject_files}


%changelog
%autochangelog